package com.javahonk.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

@Entity
public class EquitySwapTestModelForProcedure {
	
	@Id
	@Column(name="rowKey")
	private String rowKey;
	
	@Column(name="underlierRicCode")
	private String underlierRicCode;
	
	@Column(name="underlierSmID")
	private Integer underlierSmID;
	
	@Column(name="underlierCusip")
	private String underlierCusip;
	
	@Column(name="underlierAssetType")
	private String underlierAssetType;
	
	@Column(name="div_list_id")
	private Integer div_list_id;
	
	@Column(name="eventDate")
	private Integer eventDate;
	
	public EquitySwapTestModelForProcedure() {		
	}

	public String getRowKey() {
		return rowKey;
	}

	public void setRowKey(String rowKey) {
		this.rowKey = rowKey;
	}

	public String getUnderlierRicCode() {
		return underlierRicCode;
	}

	public void setUnderlierRicCode(String underlierRicCode) {
		this.underlierRicCode = underlierRicCode;
	}

	public Integer getUnderlierSmID() {
		return underlierSmID;
	}

	public void setUnderlierSmID(Integer underlierSmID) {
		this.underlierSmID = underlierSmID;
	}

	public String getUnderlierCusip() {
		return underlierCusip;
	}

	public void setUnderlierCusip(String underlierCusip) {
		this.underlierCusip = underlierCusip;
	}

	public String getUnderlierAssetType() {
		return underlierAssetType;
	}

	public void setUnderlierAssetType(String underlierAssetType) {
		this.underlierAssetType = underlierAssetType;
	}

	public Integer getDiv_list_id() {
		return div_list_id;
	}

	public void setDiv_list_id(Integer div_list_id) {
		this.div_list_id = div_list_id;
	}

	public Integer getEventDate() {
		return eventDate;
	}

	public void setEventDate(Integer eventDate) {
		this.eventDate = eventDate;
	}

	@Override
	public String toString() {
		return "EquitySwapTestModelForProcedure [rowKey=" + rowKey
				+ ", underlierRicCode=" + underlierRicCode + ", underlierSmID="
				+ underlierSmID + ", underlierCusip=" + underlierCusip
				+ ", underlierAssetType=" + underlierAssetType
				+ ", div_list_id=" + div_list_id + ", eventDate=" + eventDate
				+ "]";
	}
	
}
